samtools-dict(1)

NAME
samtools dict - create a sequence dictionary file from a fasta file

SYNOPSIS

samtools dict ref.fasta|ref.fasta.gz

DESCRIPTION

Create a sequence dictionary file from a fasta file.

OPTIONS

-a, --assembly STR
    Specify the assembly for the AS tag.

-A, --alias, --alternative-name
    Add an AN tag with the same value as the SN tag, except that a “chr” prefix is removed if SN has one or added if it does not. For mitochondria (i.e., when SN is “M” or “MT”, with or without a “chr” prefix), also adds the remaining combiniations of “chr/M/MT” to the AN tag.

-H, --no-header
    Do not print the @HD header line.

-o, --output FILE
    Output to FILE [stdout].

-s, --species STR
    Specify the species for the SP tag.

-u, --uri STR
    Specify the URI for the UR tag. Defaults to the absolute path of ref.fasta unless reading from stdin.

AUTHOR

Written by Shane McCarthy from the Sanger Institute.

SEE ALSO
samtools(1), bcftools(1), sam(5), tabix(1)

Samtools website: <http://www.htslib.org/>
File format specification of SAM/BAM,CRAM,VCF/BCF: <http://samtools.github.io/hts-specs>
Samtools latest source: <https://github.com/samtools/samtools>
HTSlib latest source: <https://github.com/samtools/htslib>
Bcftools website: <http://samtools.github.io/bcftools>